Toggle cross-file analysis
curl --request POST \
--url https://semgrep.dev/api/agent/deployments/{deploymentId}/has_deepsemgrep \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"has_deepsemgrep": true
}
'import requests
url = "https://semgrep.dev/api/agent/deployments/{deploymentId}/has_deepsemgrep"
payload = {
"deploymentId": "<string>",
"has_deepsemgrep": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({deploymentId: '<string>', has_deepsemgrep: true})
};
fetch('https://semgrep.dev/api/agent/deployments/{deploymentId}/has_deepsemgrep', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_deepsemgrep": true
}Deployment
Toggle cross-file analysis
Enable or disable cross-file analysis for the deployment’s scans.
POST
/
api
/
agent
/
deployments
/
{deploymentId}
/
has_deepsemgrep
Toggle cross-file analysis
This endpoint is experimental. It may change or be removed without notice and is not covered by API stability guarantees.
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Response
200 - application/json
OK
Was this page helpful?
⌘I